# how to sort the dictionary by value

from operator import itemgetter


# sorting dictionary using the sorted() function
def dictionairy():
    orders = {
        'tuna chunk light': 102.5,
        'salads': 54,
        'turkey': 56,
        'espresso': 72,
        'potato chips': 48,
        'cheese': 41,
    }

    # the sorted function will sort the dictionary by values of each entry within
    # the dictionary from smallest to largest
    sorted_orders = sorted(orders.items(), key=lambda item: item[1])

    # to sort it in descending order just add reverse=True
    # sorted_orders = sorted(orders.items(), key=lambda item: item[1], reverse=True)

    print('Sorting the items by values')
    print(sorted_orders)


# using operator module
def dictionairybyitemgetter():
    orders = [
        {'item': 'tuna chunk light', 'price': 102.5},
        {'item': 'salads', 'price': 54},
        {'item': 'turkey', 'price': 56},
        {'item': 'espresso', 'price': 72},
        {'item': 'potato chips', 'price': 48},
        {'item': 'cheese', 'price': 41}
    ]

    sorted_orders = sorted(orders, key=itemgetter('price'))

    # to sort it in descending order just add reverse=True
    # sorted_orders = sorted(orders, key=itemgetter('price'), reverse=True)

    print('Sorting the items by price')
    print(sorted_orders)


def main():
    # function calling
    dictionairy()
    print('\n')
    dictionairybyitemgetter()


# driver code
if __name__ == '__main__':
    main()

print('\ndone')
